using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace DodoSSH.Client.Storage.Migrations
{
    /// <inheritdoc />
    public partial class AddDeviceWrap : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<Guid>(
                name: "device_id",
                table: "unlock_material",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<byte[]>(
                name: "device_wrapped_private_key",
                table: "unlock_material",
                type: "BLOB",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "device_id",
                table: "unlock_material");

            migrationBuilder.DropColumn(
                name: "device_wrapped_private_key",
                table: "unlock_material");
        }
    }
}
